      SUBROUTINE MTXMC (A,NAR,B,NBR,C)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
C     MATRIX PRODUCT C(NAR,NAR) = (A(NBR,NAR))' * B(NBR,NAR)
C     A AND B RECTANGULAR , PACKED,
C     C LOWER LEFT TRIANGLE ONLY, PACKED IN CANONICAL ORDER.
      dimension A(NBR,NAR),B(NBR,NAR),C(*)
C  NOTE ... THIS IS THE BEST VERSION ON CRAY 1.
      L=1
      do 10 I=1,NAR
         call MXM (A(1,I),1,B,NBR,C(L),I)
   10 L=L+I
      return
      end
